<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.ActEditVideo">

    <FrameLayout
        android:id="@+id/glviewFrameLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <org.wysaid.view.VideoPlayerGLSurfaceView
            android:id="@+id/videoGLSurfaceView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </FrameLayout>

    <HorizontalScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:visibility="gone">

        <LinearLayout
            android:id="@+id/menuLinearLayout"
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:visibility="gone">

            <Button
                android:id="@+id/galleryBtn"
                android:layout_width="100dp"
                android:layout_height="50dp"
                android:text="Gallery" />

            <Button
                android:id="@+id/takeShotBtn"
                android:layout_width="100dp"
                android:layout_height="match_parent"
                android:text="TakeShot" />

            <Button
                android:id="@+id/switchShapeBtn"
                android:layout_width="100dp"
                android:layout_height="match_parent"
                android:text="Border" />

            <Button
                android:id="@+id/fitViewBtn"
                android:layout_width="100dp"
                android:layout_height="match_parent"
                android:text="FitScreen" />

        </LinearLayout>
    </HorizontalScrollView>

    <FrameLayout
        android:id="@+id/media_frame_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true" />


    <LinearLayout
        android:id="@+id/seekBarLl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="40dp"
        android:orientation="vertical"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/act_edit_video_commit_iv"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_alignParentTop="true"
        android:layout_alignParentEnd="true"
        android:layout_marginTop="27dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/media_shape_oval_main"
        android:onClick="onClickCommit"
        android:padding="5dp"
        android:src="@drawable/media_qiandao" />
</RelativeLayout>
